Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I want to develop a Unity 7 scope for Ubuntu 14.04. I've found a nice introduction here, but unity-scope-tool depends on Unity 8 which I don't won't to install. As I can see, most of the other scopes are written in Vala or Python.

Can I use C++ api to develop scopes for Unity 7?

share|improve this question

2 Answers 2

up vote 1 down vote accepted

I've asked the question at the #ubuntu-unity IRC channel and it looks like the new C++ API is only available for the Unity8 infrastructure. So, the answer is NO.

share|improve this answer

I honestly see no issue. Your using C++ to develop code for an OS. As long as you know what your doing, you should be able to compile with minimal effort and issue.

share|improve this answer
    
It not a problem to compile a sample scope based on a new Unity8 API. I just can't figure out how to get it working with Unity7 Dash. –  roman-kashitsyn Jun 3 at 19:28

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.